@imoullet opened this issue on February 11th 2014

Since I upgrade to 2.04b7 aI get the following errror mesage as I run import_logs.py. Now I run piwik 2.7b11 and the eror is always there. You wil find below the command I execute and the output I get

For information I get the same bug with all logfiles .. means logfile independent.. I tried to remove several options in particular the --config one but I always get the same problem..

You can follow the discussion I had in the forum on that subject here : http://forum.piwik.org/read.php?2,111193

I also put in attachment the config.ini.php fiel I use in order for you to check the plugins I use..and also the test logfile

log-analytics$ ./import_logs.py --url=https://w3stat.unil.ch/piwik/ --idsite=574 --recorders=2 --log-hostname=www3.unil.ch --hostname=www3.unil.ch --enable-static --enable-bots --enable-http-errors --enable-http-redirects --enable-reverse-dns --strip-query-string /var/tmp/stats/test/access_test Traceback (most recent call last): File "./import_logs.py", line 1710, in <module> config = Configuration() File "./import_logs.py", line 567, in init self._parse_args(self._create_parser()) File "./import_logs.py", line 557, in _parse_args self.options.piwik_token_auth = self._get_token_auth() File "./import_logs.py", line 604, in _get_token_auth filename = subprocess.check_output(process, shell=True); AttributeError: 'module' object has no attribute 'check_output'

Thanks for your help

Keywords: import_logs

@imoullet commented on February 11th 2014

Attachment: test logfile access_test

@imoullet commented on February 11th 2014

Attachment: config.ini.php config.ini.php

@mattab commented on February 12th 2014

Thanks for the report! What is happening is that, starting at Piwik 2.1, Log Analytics now requires Python 2.7

Please upgrade your Python to run Log import via Piwik analytics

This issue was closed on February 12th 2014
Powered by GitHub Issue Mirror